Tamio

Bulk update prices

POST https://api.tamio.com/v2/products/bulk/update-pricing-models

Updates pricing for up to 10,000 products/variants.

Body Parameters

products array of object*
JSON
{ "products": [ { "id": "333e4567-e89b-12d3-a456-426614174000", "variant_id": "444e4567-e89b-12d3-a456-426614174000", "currency": "USD", "price": 4900, "acquisition_price": 2000, "recommended_seller_price": 5900 } ] }
id string*

Product UUID

variant_id string

Variant UUID if targeting a specific variation

currency string

Currency code for the price format (e.g. USD)

price integer*

New price in the smallest currency unit

acquisition_price integer

Cost of acquiring the product

recommended_seller_price integer

Suggested retail price

Responses

200 Operation successful

Operation successful

status integer
400 Bad request. Possible `error_code` values:
401 Missing or invalid API key
/products/bulk/update-pricing-models
1const response = await fetch("https://api.tamio.com/v2/products/bulk/update-pricing-models", {
2 method: "POST",
3 headers: {
4 "Authorization": "Bearer YOUR_API_KEY",
5 "Content-Type": "application/json"
6 },
7 body: JSON.stringify({
8 "products": [
9 {
10 "id": "333e4567-e89b-12d3-a456-426614174000",
11 "variant_id": "444e4567-e89b-12d3-a456-426614174000",
12 "currency": "USD",
13 "price": 4900,
14 "acquisition_price": 2000,
15 "recommended_seller_price": 5900
16 }
17 ]
18 })
19});
20const data = await response.json();
Responses
{
  "status": 200
}